<?php
/**
 * Demo Deployment Tool
 *
 * @version		1.2.0
 * @author		Martin Rasser, Elovaris Web Development
 * @copyright	Copyright (C) 2009 Elovaris Web Development. All rights reserved.
 * 				Borrows some code from the Joomla! project (Password generation)
 * @license		GNU/GPL (http://www.gnu.org/licenses/gpl-2.0.html)
 */
defined('PROPER_ENTRY') or die('Direct access to this file not allowed');
/**
 * @version		1.1
 * @package		Joomla Demo Site Deployer
 * @copyright	Copyright (C) 2005 - 2011 Elovaris Web Development - Martin Rasser. All rights reserved.
 * @license		GNU/GPL or MIT license where applicable
 */
 
// Folder with source files
$srcFolder =  dirname(__FILE__).'/../../blueprint/files/';

// Folder with source sql files
$srcFolderDb  = dirname(__FILE__).'/../../blueprint/database/';

// Filename of the sql source file
$srcFileDb = 'joomla.sql';

// Filename of the zip source file
$srcFile = 'joomla.zip';

// Location of log file (tracks the process of a demo creation)
$logfile = dirname(__FILE__).'/log.php';

// Base destination folder for demos
$destFolder = dirname(__FILE__).'/../../httpdocs/';

// Sub-folder for demo installations
$baseFolder = 'demos/';

// Prefix for sub-folder
$folderPrefix = 'demo';

// Last 3 values form the destination of the demo site ( $destFolder / $baseFolder / $folderPrefix . (demoNumber)

// URL sub-folder where the demo will be put in ($hostname / $demoBaseUrl / $basefolder / $folderPrefix . (demoNumber) 
$demoBaseUrl = '';

// Set to true if you want to append the language code to the URL like www.domain.com/baseurl/de (if your demo is a multi-language site)
$appendLanguageCode = false;

// Username of the Joomla demo user 
$defaultUsername = 'manager';

// Fallback language if the requested language does not exist (used for the e-mail confirmation)
$fallBackLanguage = 'en-gb';

// Sender email address
$senderEmail = 'admin@domain.com';

// Sender name
$senderName = 'Admin';

// Admin name
$adminName = 'Martin Rasser';

// Admin email
$adminEmail = 'admin@domain.com';

// URL of your demo site
$hostName = 'http://localhost';

// Username and Passwort of DB user with privileges to create databases (root user would be best)
$joomlaDbUsername = '';
$joomlaDbpassword = '';

// Path to the mysql binary
$mysqlBin = '/usr/bin/mysql';
$dbPrefix = '';
$dbUsername = '';
$dbPassword = '';

// Username and password to use for the Joomla installation ("regular" privileges needed to run Joomla)
$systemDatabase = '';
$systemUsername = '';
$systemPassword = '';

// FTP user credentials (currently not used)
$ftpUser = '';
$ftpPassword = '';
$ftpRoot = $destFolder.$baseFolder.$folderPrefix;

// Filesystem owner and group to chown files and folders (currently not used)
$fileSystemOwner = '';
$fileSystemGroup = '';

?>